<?php

define (THEM_TEMPLATEURL, get_bloginfo('template_directory'));

$them_styles = array('blue', 'red', 'green');

	// Widgets
  if(function_exists('register_sidebar')) {
	
		register_sidebar(array(
		'name' => __('Sidebar'),
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h3>',
        'after_title' => '</h3>',

	));

}


add_filter('comments_template', 'legacy_comments');

function legacy_comments($file) {
	if ( !function_exists('wp_list_comments') ) 
		$file = TEMPLATEPATH . '/legacy.comments.php';
	return $file;
}


function ap_add_theme_page() {
	global $wpdb;

	$errorFlag = false;	
	if ($_GET['page'] == basename(__FILE__)) {
	
	    // save settings
		if ( 'save' == $_REQUEST['action'] ) {
			
			if (($_REQUEST['ap_pageMenuOrder'] == 'menu') || 
				($_REQUEST['ap_pageMenuOrder'] == 'alpha') || 
				($_REQUEST['ap_pageMenuOrder'] == 'pageid')  
			){
			update_option('ap_pageMenuOrder', $_REQUEST['ap_pageMenuOrder']);
			} else {
 				$errorFlag = true;
			}
	
			if (checkPagesOmit($_REQUEST['ap_pagesOmit'])){
				update_option('ap_pagesOmit', trim($_REQUEST['ap_pagesOmit']));
			} else {
 				$errorFlag = true;
			}
			
	update_option('ap_stylesheet', attribute_escape(trim($_REQUEST['ap_stylesheet'])));
	update_option('ap_logoUrl', attribute_escape(trim($_REQUEST['ap_logoUrl'])));	
	update_option('ap_rssUrl', attribute_escape(trim($_REQUEST['ap_rssUrl'])));	
	update_option('ap_twitterName', attribute_escape(trim($_REQUEST['ap_twitterName'])));

			// goto theme edit page
			if($errorFlag){
					header("Location: themes.php?page=functions.php&error=true");
					die;
			} else {
					header("Location: themes.php?page=functions.php&saved=true");
					die;
			}
		
			
  		// reset defaults
		} else if('reset' == $_REQUEST['action']) {
			delete_option('ap_pageMenuOrder');	
			delete_option('ap_pagesOmit');
			delete_option('ap_rssUrl');	
			delete_option('ap_twitterName');
			delete_option('ap_logoUrl');
			delete_option('ap_stylesheet');			
			
			header("Location: themes.php?page=functions.php&reset=true");
			die;

		}
	}


    add_theme_page(__('Persephone Theme Options',''), __('Persephone Theme Options',''), 'edit_themes', basename(__FILE__), 'ap_theme_page');
	
	
}

include(TEMPLATEPATH . '/library/theme_options.php');
include(TEMPLATEPATH . '/library/formFunctions.php');

add_action('admin_menu', 'ap_add_theme_page');

function ap_getPageMenuOrder() {

	switch (get_option('ap_pageMenuOrder')){
	
		case ('alpha'):
		$mo = 'post_title';
		break;
		
		case ('pageid'):
		$mo = 'ID';
		break;
		
		default:
		$mo = 'menu_order';
	}
	
	return $mo;
}

function checkPagesOmit($str){
	if (empty($str)) return true;
	$regex = '/^[0-9 ,]+$/';
	return preg_match($regex,$str);
}


function ap_rssLink(){
	$link = get_option('ap_rssUrl');
	return (!empty($link)) ? $link :  get_bloginfo('rss2_url');
}

function ap_twitterLink(){

	$name = get_option('ap_twitterName');
	
	return (!empty($name)) ? sprintf('<img style="vertical-align:-3px;" alt="Twitter" src="%s/images/twitter.gif" height="16" width="16" /> <a alt="%s" href="http://twitter.com/%s">%s %s Twitter</a> ',  get_bloginfo('template_directory'), $name, $name, get_bloginfo('name'), __('on','')) :  '';
	
}


	function ap_buildMenu(){

		$mo = ap_getPageMenuOrder();
		$exc = get_option('ap_pagesOmit');		
					
		$excString = (!empty($exc)) ? '&exclude=' . $exc : '';

		wp_list_pages('title_li=&sort_column='.$mo. '&depth=1'. $excString);
		return NULL;
	}				


$ap_dateTimeFormat = get_option('date_format') .' '. get_option('time_format');


function them_logo() {
 
	$logoUrl = get_option('ap_logoUrl');

	if(!empty($logoUrl))  {
		printf('<a href="%s/"><img src="%s" border="0" /></a>', get_bloginfo('home'),$logoUrl);
	} else {
		printf('<h3><a href="%s/">%s</a></h3>', get_bloginfo('home'), get_bloginfo('name'));
		printf('<h2>%s</h2>', get_bloginfo('description'));
	}
}

add_action('wp_head', 'them_css_head');

function them_css_head() {
	global $them_styles;

	$style = get_option('ap_stylesheet');
	$stylesheet = (!empty($style) &&(in_array($style, $them_styles))) ? $style : $them_styles[0];	

	
	if(file_exists(TEMPLATEPATH.'/styles/'.$stylesheet.'.css')) {
		printf('<link href="%s/styles/%s.css" rel="stylesheet" type="text/css" />', THEM_TEMPLATEURL, $stylesheet);
	}
}

?>